<?php
/*
Plugin Name: 	Social Box
Plugin URI: 	http://codecanyon.net/item/socialbox-social-wordpress-widget/627127
Description: 	Adds a super easy Social Box which displays the numbers of Twitter Followers, Facebook Fans and Youtube Channel and Feed Subscribers
Version: 		1.1.1
Author: 		JonasDoebertin
Author URI: 	http://codecanyon.net/user/JonasDoebertin
License: 		Sold exclusively on CodeCanyon
*/
?>

<p>
	<!-- Facebook -->
	<label for="<?php echo $this->get_field_id('facebook_id'); ?>"><?php _e('Facebook:', self::SLUG); ?></label>
	<input type="text" id="<?php echo $this->get_field_id('facebook_id'); ?>" name="<?php echo $this->get_field_name('facebook_id'); ?>" value="<?php echo $instance['facebook_id']; ?>" class="widefat"  />
	<br /><small><?php _e('Your Facebook ID or <abbr title="E.g. nettutsplus or john.smith">username</abbr>', self::SLUG); ?></small>
</p>

<p>
	<!-- Twitter -->
	<label for="<?php echo $this->get_field_id('twitter_id'); ?>"><?php _e('Twitter:', self::SLUG); ?></label>
	<input type="text" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" value="<?php echo $instance['twitter_id']; ?>" class="widefat"  />
	<br /><small><?php _e('Your Twitter <abbr title="E.g. envatowebdev">screenname</abbr>', self::SLUG); ?></small>
</p>

<p>
	<!-- Youtube -->
	<label for="<?php echo $this->get_field_id('youtube_id'); ?>"><?php _e('YouTube:', self::SLUG); ?></label>
	<input type="text" id="<?php echo $this->get_field_id('youtube_id'); ?>" name="<?php echo $this->get_field_name('youtube_id'); ?>" value="<?php echo $instance['youtube_id']; ?>" class="widefat"  />
	<br /><small><?php _e('Your YouTube <abbr title="E.g. nettutsplus">channel</abbr>', self::SLUG); ?></small>
</p>

<p>
	<!-- Feedburner -->
	<label for="<?php echo $this->get_field_id('feedburner_id'); ?>"><?php _e('FeedBurner:', self::SLUG); ?></label>
	<input type="text" id="<?php echo $this->get_field_id('feedburner_id'); ?>" name="<?php echo $this->get_field_name('feedburner_id'); ?>" value="<?php echo $instance['feedburner_id']; ?>" class="widefat"  />
	<br /><small><?php _e('Your Feeds Feedburner <abbr>name</abbr>', self::SLUG); ?></small>
</p>

<p>
	<!-- Show Buttons -->
	<input type="checkbox" id="<?php echo $this->get_field_id('show_buttons'); ?>" name="<?php echo $this->get_field_name('show_buttons'); ?>" <?php if ($instance['show_buttons']) echo 'checked="checked"'; ?> class="checkbox" />
	<label for="<?php echo $this->get_field_id('show_buttons'); ?>"><?php _e('Show Buttons', self::SLUG); ?></label>
	<br /><small><?php _e('Display Follow/Subscribe buttons', self::SLUG); ?></small>
</p>

<p>
	<!-- Default Values -->
	<input type="checkbox" id="<?php echo $this->get_field_id('set_defaults'); ?>" name="<?php echo $this->get_field_name('set_defaults'); ?>" <?php if ($instance['set_defaults']) echo 'checked="checked"'; ?> class="checkbox" />
	<label for="<?php echo $this->get_field_id('set_defaults'); ?>"><?php _e('Set Default Values', self::SLUG); ?></label>
	<br /><small><?php _e('Will be shown, if the API is not reachable.', self::SLUG); ?></small>
</p>

<?php if($instance['set_defaults']): ?>
	
<p>
	<!-- Facebook Default -->
	<label for="<?php echo $this->get_field_id('facebook_default'); ?>"><?php _e('Facebook Default:', self::SLUG); ?></label><br/>
	<input type="text" id="<?php echo $this->get_field_id('facebook_default'); ?>" name="<?php echo $this->get_field_name('facebook_default'); ?>" value="<?php echo $instance['facebook_default']; ?>" size="6" />
	<small><?php _e('Your fallback like count', self::SLUG); ?></small>
</p>

<p>
	<!-- Twitter Default-->
	<label for="<?php echo $this->get_field_id('twitter_default'); ?>"><?php _e('Twitter Default:', self::SLUG); ?></label><br/>
	<input type="text" id="<?php echo $this->get_field_id('twitter_default'); ?>" name="<?php echo $this->get_field_name('twitter_default'); ?>" value="<?php echo $instance['twitter_default']; ?>" size="6" />
	<small><?php _e('Your fallback followers count', self::SLUG); ?></small>
</p>

<p>
	<!-- Youtube Default-->
	<label for="<?php echo $this->get_field_id('youtube_default'); ?>"><?php _e('YouTube Default:', self::SLUG); ?></label><br/>
	<input type="text" id="<?php echo $this->get_field_id('youtube_default'); ?>" name="<?php echo $this->get_field_name('youtube_default'); ?>" value="<?php echo $instance['youtube_default']; ?>" size="6" />
	<small><?php _e('Your fallback subscriptions count', self::SLUG); ?></small>
</p>


<p>
	<!-- Feedburner Default-->
	<label for="<?php echo $this->get_field_id('feedburner_default'); ?>"><?php _e('FeedBurner Default:', self::SLUG); ?></label><br/>
	<input type="text" id="<?php echo $this->get_field_id('feedburner_default'); ?>" name="<?php echo $this->get_field_name('feedburner_default'); ?>" value="<?php echo $instance['feedburner_default']; ?>" size="6" />
	<small><?php _e('Your fallback subscriptions count', self::SLUG); ?></small>
</p>


<?php endif; ?>